aboutsummaryrefslogtreecommitdiffstats
path: root/main/busybox/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-01-30 20:43:30 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-01-30 20:49:18 +0000
commitfaf0db0bf41968d4ca06541a0d0e7f4924cf87dd (patch)
treebd4731559af71cffab6ac5254fa23a6864ef8ec1 /main/busybox/APKBUILD
parentead17333788dd3d2f10668267546ace81089103a (diff)
downloadaports-faf0db0bf41968d4ca06541a0d0e7f4924cf87dd.tar.gz
aports-faf0db0bf41968d4ca06541a0d0e7f4924cf87dd.tar.bz2
aports-faf0db0bf41968d4ca06541a0d0e7f4924cf87dd.tar.xz
main/busybox: bbsuid mount/umount. fix for mdev and acpid
- move sources into the aports tree. pointless shipping it separate - add mount/umount - add patch for mdev from upstream - backport acpid patch http://lists.busybox.net/pipermail/busybox/2012-January/077136.html
Diffstat (limited to 'main/busybox/APKBUILD')
-rw-r--r--main/busybox/APKBUILD23
1 files changed, 12 insertions, 11 deletions
diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index e942e696a1..d692046c3f 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -1,8 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
pkgver=1.19.3
-pkgrel=3
-_bbsuidver=0.6
+pkgrel=4
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
arch="all"
@@ -12,22 +11,24 @@ install="$pkgname.post-install $pkgname.post-upgrade"
subpackages="$pkgname-static"
triggers="busybox.trigger=/bin:/usr/bin:/sbin:/usr/sbin:/lib/modules/*"
source="http://busybox.net/downloads/$pkgname-$pkgver.tar.bz2
- http://git.alpinelinux.org/cgit/bbsuid.git/snapshot/bbsuid-$_bbsuidver.tar.bz2
+ bbsuid.c
+
$pkgname-1.11.1-bb.patch
busybox-uname-is-not-gnu.patch
bb-app-location.patch
0001-loginutils-use-sha512.patch
+ acpid.patch
http://busybox.net/downloads/fixes-1.19.3/busybox-1.19.3-getty.patch
http://busybox.net/downloads/fixes-1.19.3/busybox-1.19.3-modinfo.patch
http://busybox.net/downloads/fixes-1.19.3/busybox-1.19.3-wget.patch
+ http://busybox.net/downloads/fixes-1.19.3/busybox-1.19.3-mdev.patch
busyboxconfig"
_sdir="$srcdir"/$pkgname-$pkgver
_staticdir="$srcdir"/build-static
_dyndir="$srcdir"/build-dynamic
-_bbsuid="$srcdir"/bbsuid-$_bbsuidver
_config="$srcdir"/busyboxconfig
prepare() {
mkdir -p "$_staticdir" "$_dyndir"
@@ -42,9 +43,9 @@ prepare() {
}
build() {
+ # build bbsuid
msg "Building bbsuid"
- cd "$_bbsuid"
- make || return 1
+ ${CC:-gcc} $CFLAGS "$srcdir"/bbsuid.c $LDFLAGS -o "$_dyndir"/bbsuid || return 1
cd "$_staticdir"
msg "Building static busybox"
@@ -64,14 +65,12 @@ build() {
}
package() {
- cd "$_bbsuid"
- make install DESTDIR="$pkgdir" || return 1
-
cd "$_dyndir"
mkdir -p "$pkgdir"/usr/sbin "$pkgdir"/usr/bin "$pkgdir"/tmp \
"$pkgdir"/var/cache/misc "$pkgdir"/bin "$pkgdir"/sbin
chmod 1777 "$pkgdir"/tmp
- install -m755 busybox "$pkgdir"/bin/busybox
+ install -m755 busybox "$pkgdir"/bin/busybox || return 1
+ install -m4111 bbsuid "$pkgdir"/bin/bbsuid || return 1
# we need /bin/sh to be able to execute post-install
ln -s /bin/busybox "$pkgdir"/bin/sh
}
@@ -84,12 +83,14 @@ static() {
}
md5sums="c3938e1ac59602387009bbf1dd1af7f6 busybox-1.19.3.tar.bz2
-968b3a058db04f95e9c4cdb44d7d3ddb bbsuid-0.6.tar.bz2
+b7b06c7d5cff6935e4ff68a245cc64b5 bbsuid.c
4c0f3b486eaa0674961b7ddcd0c60a9b busybox-1.11.1-bb.patch
b5375210f13fd6e1ca61a565e8fabd35 busybox-uname-is-not-gnu.patch
754916e52fa11d3fe7c29c93248b6707 bb-app-location.patch
784383013b8f015fb0d214618c46b4b8 0001-loginutils-use-sha512.patch
+361a26d690e6f1585c6710b3afeb10a6 acpid.patch
5ed72ca85b8fba4598d64a550210b31f busybox-1.19.3-getty.patch
41636628e481f22b8774b6bee1eebfb1 busybox-1.19.3-modinfo.patch
cb48bffc0e1e3be527cd4ff67324a2a2 busybox-1.19.3-wget.patch
+7c809b9cd30f40354be90663d5f18bef busybox-1.19.3-mdev.patch
453614d903ed3f39aa0a4b78f94bc7a5 busyboxconfig"